Bug 58350 - [generator] Handle sharpie's [RequiresSuper]
Summary: [generator] Handle sharpie's [RequiresSuper]
Status: RESOLVED FIXED
Alias: None
Product: iOS
Classification: Xamarin
Component: Tools (show other bugs)
Version: master
Hardware: PC Mac OS
: Normal enhancement
Target Milestone: 15.7
Assignee: Sebastien Pouliot
URL:
Depends on:
Blocks:
 
Reported: 2017-07-25 03:28 UTC by Sebastien Pouliot
Modified: 2018-01-04 21:26 UTC (History)
2 users (show)

Tags:
Is this bug a regression?: No
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Sebastien Pouliot 2017-07-25 03:28:17 UTC
Accept the attribute in the generator and, minimally, output something like:

> [Advice ("You must call the base method when overriding.")]

in the generated code.

This will allow the IDE to show the requirement to the developer.
Comment 1 Sebastien Pouliot 2017-07-25 03:32:39 UTC
This can be done manually until then, 
e.g. https://github.com/xamarin/xamarin-macios/pull/2364

Ideally we need to update xtro to report missing cases.
Comment 2 Manuel de la Peña [MSFT] 2017-08-02 15:57:46 UTC
@Sebastien, setting this to confirmed to keep the backlog clean and not get confused.
Comment 4 Sebastien Pouliot 2018-01-02 18:15:23 UTC
https://github.com/xamarin/xamarin-macios/pull/3147
Comment 5 Sebastien Pouliot 2018-01-04 21:26:49 UTC
merge in master with https://github.com/xamarin/xamarin-macios/commit/ec744533b9e51f1cb1a748b8a2375195abd0a66a